sc::DiagMolecularHessian(3)

NAME
sc::DiagMolecularHessian - DiagMolecularHessian is an implementation of MolecularHessian that returns a hessian that is a diagonal matrix.

SYNOPSIS

#include <hess.h>

Inherits sc::MolecularHessian.

  Public Member Functions
DiagMolecularHessian (const Ref< KeyVal > &)
The DiagMolecularHessian KeyVal constructor is used to generate a DiagMolecularHessian object from the input.
DiagMolecularHessian (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
RefSymmSCMatrix cartesian_hessian ()
Return the hessian in cartesian coordinates.

  Protected Attributes
double diag_

Detailed Description

DiagMolecularHessian is an implementation of MolecularHessian that returns a hessian that is a diagonal matrix.

Constructor & Destructor Documentation

  sc::DiagMolecularHessian::DiagMolecularHessian (const Ref< KeyVal > &)

The DiagMolecularHessian KeyVal constructor is used to generate a DiagMolecularHessian object from the input.

It reads the keywords below.

KeywordTypeDefaultDescription diagdouble1.0Specifies the diagonal elements of the hessian.

Member Function Documentation

  void sc::DiagMolecularHessian::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::MolecularHessian.

Author

Generated automatically by Doxygen for MPQC from the source code.